# The Red Matrix: ITemplateEngine Interface Reference

All Classes Namespaces Files Functions Variables Pages
ITemplateEngine Interface Reference
Inheritance diagram for ITemplateEngine:

## Public Member Functions

| replace_macros ($s, $v)
| get_markup_template ($file, $root='')

## Detailed Description

Interface for template engines

## Member Function Documentation

ITemplateEngine::get_markup_template | ( |  | $file,
|  |  | $root = `''`
| ) |  |

Implemented in Template, and FriendicaSmartyEngine.

ITemplateEngine::replace_macros | ( |  | $s,
|  |  | $v
| ) |  |

Implemented in Template, and FriendicaSmartyEngine.

The documentation for this interface was generated from the following file:

- include/ITemplateEngine.php